Skip to main content
`Ctrl`+`K`

# KSPGetConvergenceTest

Gets the function to be used to determine convergence.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetConvergenceTest(KSP ksp, KSPConvergenceTestFn **converge, void **ctx, PetscCtxDestroyFn **destroy)

Logically Collective

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## Output Parameters

- converge - pointer to convergence test function, see `KSPConvergenceTestFn`

- ctx - context for private data for the convergence routine (may be `NULL`)

- destroy - a routine for destroying the context (may be `NULL`)

## See Also

KSP: Linear System Solvers, `KSP`, `KSPConvergedDefault()`, `KSPGetConvergenceContext()`, `KSPSetTolerances()`, `KSPSetConvergenceTest()`, `KSPGetAndClearConvergenceTest()`

## Level

advanced

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages